package cn.com.qmth.stmms.biz.subjectheader.service;

import cn.com.qmth.stmms.biz.subjectheader.model.ArbitrationLibrary;
import cn.com.qmth.stmms.biz.subjectheader.query.ArbitrationLibrarySearchQuery;

public interface ArbitrationLibraryService {

    ArbitrationLibrary save(ArbitrationLibrary arbitrationLibrary);

    ArbitrationLibrary findById(Integer id);

    void deleteById(Integer id);

    void delete(ArbitrationLibrary arbitrationLibrary);

    ArbitrationLibrarySearchQuery findByQuery(ArbitrationLibrarySearchQuery query);

    /**
     * 查询未处理仲裁卷
     * 
     * @param examId
     * @param subjectCode
     * @return
     */
    int findUntreated(Integer examId, String subjectCode);

    /**
     * 查询未处理仲裁卷(按照主观题块)
     * 
     * @param examId
     * @param subjectiveBlockId
     * @return
     */
    int findUntreatedByBlockId(Integer examId, Integer subjectiveBlockId);
}
